import java.util.*;

/**
 * @author Matt Spear
 *
 * Simple class to combine a Node with its edges,
 * 
 * @see Node
 * @see Edge
 * @see Graph
 */
public class TreeSetNode implements Comparable
{
	protected Node n;
	protected TreeSet tm;
	
	/**
	 * Simple constructor accepting a node
	 * and a TreeSet of Edges
	 * @param n the Node
	 * @param tm the TreeSet of edges
	 */
	public TreeSetNode(Node n, TreeSet tm)
	{
		this.n = n;
		this.tm = tm;
	}
	/**
	 * Compares this to another TreeSetNode or to a Node.
	 */
	public int compareTo(Object o)
	{
		if(o instanceof TreeSetNode)
			return n.compareTo(((TreeSetNode)o).n);
		if(o instanceof Node)
			return n.compareTo(((Node)o));
		return -1;
	}
}