/**
 * @author Matt Spear
 *
 * Simple exception class used to specify problems in UTM.
 * 
 * @see UTM
 */
public class UTMException extends RuntimeException
{
	/**
	 * Construct the default exception
	 */
	public UTMException()
	{
		super();
	}
	/**
	 * Construct the exception with the specified error message.
	 * 
	 * @param message the error message
	 */
	public UTMException(String message)
	{
		super(message);
	}
	/**
	 * Construct the exception with the message and the cause specified.
	 * 
	 * @param message the error message
	 * @param cause the cause
	 */
	public UTMException(String message, Throwable cause)
	{
		super(message, cause);
	}
	/**
	 * Construct the exception with teh cause specified.
	 * 
	 * @param cause the cause
	 */
	public UTMException(Throwable cause)
	{
		super(cause);
	}
}
